"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFormatUser = getFormatUser;
function getFormatUser(user) {
  // create a modified user object to return to frontend
  // NOTE: we assume it was a local user sign in, i.e. not via oauth
  var userCopy = Object.assign({}, user.local, {
    id: user.id,
    active: user.active,
    admin: user.admin,
    slug: user.slug
  });
  delete userCopy.password;
  delete userCopy.passwordResetToken;
  // also delete in local
  return userCopy;
}