'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useGrab = useGrab;

var _bodyParser = require('body-parser');

var _bodyParser2 = _interopRequireDefault(_bodyParser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function useGrab(app, config) {
  // unpack
  var email = config.email,
      localAuthenticate = config.localAuthenticate,
      jwtAuthenticate = config.jwtAuthenticate,
      password = config.password,
      routePath = config.routePath,
      transactionsRouter = config.transactionsRouter;
  // use

  app.use(_bodyParser2.default.json()); // to support JSON-encoded bodies
  // auth body
  var authBody = { email: email,
    isJwtNext: true,
    password: password
    // use
  };app.use(routePath, function (req, res, next) {
    Object.assign(req.body, authBody);
    next();
  }, localAuthenticate, jwtAuthenticate, transactionsRouter);
}